FOREIGN_GIPSY_WRITE_HEADER(3)

EXPERIMENTAL_FUNC
foreign_gipsy_write_header - Write a GIPSY header.

SYNOPSIS
#include <karma_foreign.h>

flag foreign_gipsy_write_header

(Channel channel, CONST packet_desc *header_pack_desc, CONST char *header_packet, ...)

DESCRIPTION
Write a GIPSY header.

channel
    The channel object to write the header to.

header_desc
    The FITS-style header packet descriptor.

header_packet
    The FITS-style header packet data.

... The optional attributes are given as pairs of attribute-key attribute-value pairs. This list must be terminated with FA_GIPSY_WRITE_HEADER_END. See <-foreign_ATT_GIPSY_WRITE_HEADER-> for a list of defined attributes.

RETURN VALUE
TRUE on success, else FALSE.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/